: Class PjProcSet

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.etymon.pj.object
Class PjProcSet

    java.lang.Object
      |
      +--com.etymon.pj.object.BaseObject
            |
            +--com.etymon.pj.object.PjObject
                  |
                  +--com.etymon.pj.object.PjArray
                        |
                        +--com.etymon.pj.object.PjProcSet

All Implemented Interfaces:
  java.lang.Cloneable

public class PjProcSet
extends PjArray

A representation of the PDF ProcSet type.

Fields inherited from class com.etymon.pj.object.PjArray
`_v`

Constructor Summary
`PjProcSet()` Creates a ProcSet object.
`PjProcSet(java.util.Vector v)` Creates a ProcSet as a wrapper around a Vector.

Method Summary
`java.lang.Object` | `clone()` Returns a deep copy of this object.
`static boolean` | `isLike(PjArray array)` Examines an array to see if it is a PDF ProcSet object.

Methods inherited from class com.etymon.pj.object.PjArray
`cloneVector, getVector, renumber, writePdf`

Methods inherited from class com.etymon.pj.object.BaseObject
`toString, write, write, write, writeln`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PjProcSet

    public PjProcSet()

  Creates a ProcSet object.

### PjProcSet

    public PjProcSet(java.util.Vector v)

  Creates a ProcSet as a wrapper around a Vector.
  Parameters:
    `v` - the Vector to use for this ProcSet.

Method Detail

### isLike

    public static boolean isLike(PjArray array)

  Examines an array to see if it is a PDF ProcSet object.
  Parameters:
    `array` - the array to examine.
  Returns:
    true if the array could be interpreted as a valid PjProcSet object.

### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

  Returns a deep copy of this object.
  Overrides:
    `clone` in class `PjArray`
  Returns:
    a deep copy of this object.
  Throws:
    `java.lang.CloneNotSupportedException` - if the instance can not be cloned.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD